<p id="notice"><%= notice %></p>
<div class="whole_flex">
  <div class= "a">
    <div class="categories_title">
      <u>FREE BOOKS</u>
    </div>
    <div class="free_books">
      <div class="book_info">
        <% @books.each do |book| %>
          <div class="book_image">
            <div class="image_source">
              <img src=<%=book.coverimage_url%>>
            </div>
          </div>
          <div class="book_details">
            <div class="title_n_option">
              <div class="title">
                <%= book.title %>
              </div>
              <div class="options">
                <%= link_to 'Show', book, class: "btn btn-outline-dark" %>
              </div>
            </div>
            <div class="book_author">
              <%= book.user.name %>
            </div>
            <div class="about">
              <%=book.about%>
            </div>
            <br>
          </div>
        <%end%>
      </div>
    </div>
  </div>
  <div class="b">
    <div class="shelf">
      <div class="shelf_header">
        <u>THE SHELF</u>
      </div>
      <div class="shelf_content">
        THe carousel
        <% @books.each do |book| %>
          <div id="carouselExampleSlidesOnly" class="carousel slide carousel_slide" data-ride="carousel">
            <div class="carousel-inner">
              <div class="carousel-item active">
                <img class="d-block w-35" src=<%=book.coverimage_url %> alt="First slide">
              </div>
              <div class="carousel-item">
                <img class="d-block w-35" src=<%=book.coverimage_url%> alt="Second slide">
              </div>
              <div class="carousel-item">
                <img class="d-block w-35" src=<%=book.coverimage_url%> alt="Third slide">
              </div>
            </div>
          </div>
        <%end%>
      </div>
      <div class="Book_list">
        <div class="div_header">
          <u>TOP BOOKS</u>
        </div>
        <div class="book_info">
          <% @books.each do |book| %>
            <div class="book_image">
              <div class="image_source">
                <img src=<%=book.coverimage_url%>>
              </div>
            </div>
            <div class="book_details">
              <div class="title_n_option">
                <div class="title">
                  <%= book.title %>
                </div>
                <div class="options">
                  <%= link_to 'Show', book, class: "btn btn-outline-dark" %>
                  <% if current_user==book.user %>
                    <%= link_to 'Edit', edit_book_path(book),class: "btn btn-outline-warning" %>
                    <%= link_to 'Destroy', book, method: :delete, data: { confirm: 'Are you sure?' }, class:"btn btn-outline-danger" %>
                  <% end %>
                </div>
              </div>
              <div class="book_author">
                <%= book.user.name %>
              </div>
              <div class="about">
                <%=book.about%>
              </div>
              <br>
            </div>
          <%end%>
        </div>
      </div>
    </div>
  </div>
  <!--
<table>
  <thead>
    <tr>
      <th>Title</th>
      <th>Book index</th>
      <th>About</th>
      <th>Book category</th>
      <th>Youtube link</th>
      <th>Retired</th>
      <th>Published</th>
      <th>Author</th>
      <th colspan="3"></th>
    </tr>
  </thead>
  <tbody>
    <% @books.each do |book| %>
      <tr>
        <td><%= book.title %></td>
        <td><%= book.book_index %></td>
        <td><%= book.about %></td>
        
        <td><%= book.user.name %></td>
        <td><%= link_to 'Show', book %></td>
        <% if current_user==book.user %>
          <td><%= link_to 'Edit', edit_book_path(book) %></td>
          <td><%= link_to 'Destroy', book, method: :delete, data: { confirm: 'Are you sure?' } %></td>
        </tr>
      <% end %>
    <% end %>
  </tbody>
</table>
<br>
<% if current_user %>
  <%= link_to 'New Book', new_book_path %>
<% else %>
  <%= link_to "New Book", new_user_session_path%>
<% end %>
-->
